(* Taml - Tree Automata for Ocaml
   Copyright (C) 2004 Thomas Genet

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU Library General Public License version 2, as
   published by the Free Software Foundation.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

   See the GNU Library General Public License version 2 for more details
   (enclosed in the file LGPL).


   Version 2.0. Last modification 21/01/04
*)

open Taml;;

#install_printer variable_printer;;
#install_printer symbol_printer;;
#install_printer alphabet_printer;;
#install_printer variable_set_printer;;
#install_printer state_set_printer;;
#install_printer term_printer;;
#install_printer trs_printer;; 
#install_printer automaton_printer;;
#install_printer specification_printer;;
#install_printer approximation_printer;;

(* Pervasives.print_string "       (Type 'help();;' for help on taml functions)\n\n\n";; *)
